"use strict";
exports.__esModule = true;
exports.createClient = void 0;
var axios_1 = require("axios");
var config_json_1 = require("../config.json");
var createClient = function (authManager) {
    var client = axios_1["default"].create({
        baseURL: config_json_1.API_URL
    });
    client.interceptors.request.use(function (config) {
        var user = authManager.getCurrentUser();
        if (user !== null) {
            config.headers = {
                Authorization: "Bearer " + user.accessToken
            };
        }
        return config;
    });
    return client;
};
exports.createClient = createClient;
//# sourceMappingURL=client.js.map