import React from 'react'
import { StyledPagination } from './styles'

type Props = {
  totalPages: number
  currentPage: number
  onChange(page: number): void
}

export const TablePagination = ({ totalPages, currentPage, onChange }: Props) => {

  return (
    <StyledPagination
      count={totalPages}
      page={currentPage}
      onChange={(_: React.ChangeEvent<unknown>, newPage: number) => onChange(newPage)}
    />
  )
}
