import { createTheme, styled } from '@material-ui/core/styles'
import Container from '@material-ui/core/Container'

export const mainTheme = createTheme({
  palette: {
    primary: {
      main: 'rgb(255,115,41)',
    },
    secondary: {
      main: 'rgb(46,29,91)',
    },
  },

  typography: {
    fontFamily: 'sans-serif',
  },

  overrides: {
    MuiContainer: {
      root: {
        '& h3': {
          color: 'rgb(255,115,41)',
        },
        '& h2': {
          color: 'rgb(46,29,91)',
        },
        '& span': {
          fontSize: '14px',
        },
        '& button': {
          height: '30px',
        },
        '& input': {
          height: '10px',
        },
        '& label': {
          marginTop: '-4px',
        },
      },
    },
  },
})

export const AppContainer = styled(Container)({
  padding: '16px 70px',
  fontFamily: mainTheme.typography.fontFamily,
})

export const Banner = styled(Container)({
  width: '99vw',
  '& img': {
    width: '100%',
  },
})
